<template>
  <div class="project-search">
    <dataSearch @bindSetQuery="setQuery"></dataSearch>
    <dataList :queryForm="queryForm"></dataList>
  </div>

</template>

<script>
import {dataSearch,dataList} from "./components"
export default{
  components:{
    dataSearch,
    dataList,
  },
  data(){
    return{
        queryForm:{
          page:1,
          pageSize:10,
          name:'',
          parent_id:0,
          status:'',
        },
    }
  },

  mounted() {
    this.queryForm.parent_id=this.$route.query.parent_id==undefined?0:this.$route.query.parent_id;
  },
  methods:{

    setQuery(e){
      this.queryForm=e;
    }

  }
}
</script>

<style lang="scss">
@import './search.scss'
</style>
